# $Revision: 1.54 $, $Date: 2007/09/06 15:23:59 $
Summary:	C library for portable packet creation and injection
Summary(pl.UTF-8):	Biblioteka C do przenośnego tworzenia i wprowadzania pakietów
Summary(pt_BR.UTF-8):	API para funções de rede de baixo nível
Name:		libnet
Version:	1.1.2.1
Release:	4
Epoch:		1
License:	BSD
Group:		Libraries
Source0:	http://www.packetfactory.net/libnet/dist/%{name}-%{version}.tar.gz
# Source0-md5:	be845c41170d72c7db524f3411b50256
Patch0:		%{name}-shared.patch
Patch1:		%{name}-am.patch
URL:		http://www.packetfactory.net/libnet/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Network Library provides a simple API for commonly used low-level
network functions (mainly packet injection). Using libnet, it is easy
to build and write arbitrary network packets. It provides a portable
framework for low-level network packet writing and handling (use
libnet in conjunction with libpcap and you can write some really cool
stuff). Libnet includes packet creation at the IP layer and at the
link layer as well as a host of supplementary and complementary
functionality.

%description -l pl.UTF-8
Biblioteka dostarcza API dla popularnych niskopoziomowych funkcji
sieciowych (głównie wprowadzania pakietów). Przy użyciu libnet można
łatwo stworzyć dowolne pakiety sieciowe. Biblioteka dostarcza
przenośny szkielet do niskopoziomowego zapisu i obsługi pakietów
sieciowych (w połączeniu z libpcap można napisać coś naprawdę
fajnego). Libnet obejmuje tworzenie pakietów w warstwie IP i
połączenia, a także funkcjonalność dodatkową i uzupełniającą.

%description -l pt_BR.UTF-8
Este pacote fornece uma API simples para funções de rede de baixo
nível comumente usadas (principalmente injeção de pacotes). Usando
libnet, é simples construir e enviar pacotes de rede arbitrários.

%package devel
Summary:	Header files and develpment documentation for libnet
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumetacja do libnet
Summary(pt_BR.UTF-8):	Arquivos do pacote libnet para desenvolvimento
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files and develpment documentation for libnet.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do libnet.

%description devel -l pt_BR.UTF-8
Arquivos de cabeçalho e bibliotecas usadas no desenvolvimento de
aplicativos que usam libnet.

%package static
Summary:	Static libnet library
Summary(pl.UTF-8):	Biblioteka statyczna libnet
Summary(pt_BR.UTF-8):	Arquivos do pacote libnet para desenvolvimento estático
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libnet library.

%description static -l pl.UTF-8
Biblioteka statyczna libnet.

%description static -l pt_BR.UTF-8
Arquivos de cabeçalho e bibliotecas usadas no desenvolvimento de
aplicativos estáticos que usam libnet.

%package examples
Summary:	libnet - example programs
Summary(pl.UTF-8):	libnet - programy przykładowe
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description examples
libnet - example programs.

%description examples -l pl.UTF-8
libnet - programy przykładowe.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-pf_packet=yes
%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{_mandir}/man3,%{_bindir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf libnet.so	$RPM_BUILD_ROOT%{_libdir}/libpwrite.so
ln -sf libnet.a		$RPM_BUILD_ROOT%{_libdir}/libpwrite.a
install sample/*.[ch]	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install doc/man/man3/libnet-functions.h.3 $RPM_BUILD_ROOT%{_mandir}/man3
install libnet-config	$RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README doc/{CHANGELOG,MIGRATION,PACKET_BUILDING}
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libnet-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_includedir}/libnet
%{_mandir}/man*/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnet.spec,v $
Revision 1.54  2007/09/06 15:23:59  baggins
- rel 4

Revision 1.53  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.52  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.51  2005/10/23 18:15:29  qboosh
- cleanup

Revision 1.50  2005/10/23 17:09:38  grzegorz
- added libnet-config to devel
- rel 3

Revision 1.49  2004/09/01 11:49:24  snurf
- typos / formatting / etc.

Revision 1.48  2004/04/02 17:44:33  qboosh
- fixed shared patch (use LTLIBOBJS instead of LIBOBJS in shared lib); release 2

Revision 1.47  2004/04/02 17:31:55  qboosh
- updated to 1.1.2.1

Revision 1.46  2004/03/26 21:10:47  qboosh
- updated to 1.1.2, strict internal deps

Revision 1.45  2003/11/27 12:47:29  qboosh
- updated summary (no longer libpwrite), enhanced pl description
- libpcap is not used on Linux

Revision 1.44  2003/11/27 11:41:49  trojan
- updated to 1.1.1

Revision 1.43  2003/11/08 21:34:22  arekm
- rel up

Revision 1.42  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.41  2003/07/03 18:10:05  areq
- release 3, rebuild

Revision 1.40  2003/06/23 20:34:17  jareq
- fixed epoch:version issue

Revision 1.39  2003/05/27 10:33:31  trojan
- added Source-md5

Revision 1.38  2003/05/25 05:49:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.37  2003/03/17 10:13:46  qboosh
- updated shared patch

Revision 1.36  2003/03/17 00:33:49  mwinkler
- shared libs no longer supported see MIGRATION for details
- cosmetics

Revision 1.35  2003/02/28 10:08:01  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.34  2002/11/03 15:43:05  misiek
- updated to 2.1.2

Revision 1.33  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.32  2002/07/30 16:43:25  kloczek
- release 6.

Revision 1.31  2002/07/30 10:09:14  qboosh
- new %%doc

Revision 1.30  2002/05/21 23:13:49  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.29  2002/05/01 13:08:03  blues
- fixed build - builds now

Revision 1.28  2002/05/01 08:54:38  kloczek
- realy fix symlinks in %%{_libdir}.

Revision 1.27  2002/04/30 07:37:56  blues
- relese 5
- .so file in devel subpackage -> link to him should there too

Revision 1.26  2002/04/20 22:27:51  kloczek
- merge translations from Conectiva.

Revision 1.25  2002/04/20 22:23:25  kloczek
- release 4.

Revision 1.24  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/02 20:23:53  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.21  2002/02/01 14:51:56  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.20  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/08/20 21:41:29  kloczek
- release 2,
- added autoconf, automake to BuildRequires.

Revision 1.18  2001/08/20 09:02:05  agaran
ac-25.ready

Revision 1.17  2001/06/04 15:01:54  kloczek
- release 2.

Revision 1.16  2001/06/04 14:45:12  baggins
- finished upgrade to 1.0.2a

Revision 1.15  2001/05/18 02:34:52  kloczek
- updated to 1.0.2a.

Revision 1.14  2001/05/02 16:29:08  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.13  2000/11/20 17:02:41  baggins
- release 3
- fixed .so link

Revision 1.12  2000/11/20 12:49:03  baggins
- release 2
- use RPM_OPT_FLAGS

Revision 1.11  2000/11/02 13:38:17  kloczek
- spec adapterized,
- do not compress man pages.

Revision 1.10  2000/11/02 08:33:31  misiek
new spec
